Align MediaWiki core UI elements with WikimediaUI color palette
Closed, ResolvedPublic

Description

WikimediaUI color palette (M82).

  • wikitable
  • catlinks
  • toc
  • history rows
  • thumbnails
  • gallery
  • search
  • diff
  • fieldset
  • FancyCaptcha
  • JSONContent
  • Special:UserLogin
  • jQuery.suggestions
  • jQuery.badge
  • SVGs

TypeBeforeAfterNotes
Wikitable
From Turing machine
Thumbnails
From Artificial intelligence
Catlinks
From Artificial intelligence
TOC
From Artificial intelligence
History rows
From history of Turing machine
fieldset
Recent changes
diff
From here
Edit summary
Edit summary (focused)
FancyCaptcha

Outdated mediawiki.ui greys to deprecate, see T172850:

There are a very large number of changes, so older changes are hidden. Show Older Changes
Ladsgroup updated the task description. (Show Details)Dec 13 2016, 1:40 PM

Change 326250 had a related patch set uploaded (by Ladsgroup):
Some more invisible adjustments to Wikimedia color palette.

https://gerrit.wikimedia.org/r/326250

Is it possible to centralize the color palette into a single LESS file?

Volker_E renamed this task from Align MediaWiki core UI elements with Wikimedia color palette to Align MediaWiki core UI elements with WikimediaUI color palette.Dec 15 2016, 4:36 PM
Volker_E updated the task description. (Show Details)

@Fomafix That's on UI Standardization's plan. Replied on M82 as a similar question was posted a little later there.

Change 326250 merged by jenkins-bot:
Minor adjustments to align with WikimediaUI color palette

https://gerrit.wikimedia.org/r/326250

Ladsgroup updated the task description. (Show Details)Jan 4 2017, 10:19 AM

Change 330385 had a related patch set uploaded (by Ladsgroup):
Align fieldset borders with WikimediaUI color palette

https://gerrit.wikimedia.org/r/330385

Change 330385 merged by jenkins-bot:
Align fieldset borders with WikimediaUI color palette

https://gerrit.wikimedia.org/r/330385

Change 331139 had a related patch set uploaded (by Ladsgroup):
Another attempt to align diff colors with WikimediaUI color palette

https://gerrit.wikimedia.org/r/331139

Ladsgroup updated the task description. (Show Details)Jan 7 2017, 12:51 PM

Change 331139 abandoned by Ladsgroup:
Another attempt to align diff colors with WikimediaUI color palette

Reason:
Let's do it later. Aftern aligning the vector skin with the color palette

https://gerrit.wikimedia.org/r/331139

Change 337226 had a related patch set uploaded (by Ladsgroup):
Align editOptions section with WikimediaUI color palette

https://gerrit.wikimedia.org/r/337226

Change 337470 had a related patch set uploaded (by Ladsgroup):
Align edit summary with WikimediaUI guideline

https://gerrit.wikimedia.org/r/337470

Ladsgroup updated the task description. (Show Details)Feb 13 2017, 11:05 PM

Change 337470 merged by jenkins-bot:
Align edit summary with WikimediaUI guideline

https://gerrit.wikimedia.org/r/337470

Johan added a subscriber: Johan.Feb 16 2017, 11:28 AM

@Ladsgroup Did you add the user-notice tag mainly for the edit summaries, or did you have more in mind? How would you have phrased it in a couple of simplified sentences?

@Johan: Yes, for edit summaries. "Edit summaries will be a little bit bigger to comply with Wikimedia design guide" would work for you?

Change 337226 merged by jenkins-bot:
Align editOptions section with WikimediaUI color palette

https://gerrit.wikimedia.org/r/337226

Od1n added a subscriber: Od1n.Feb 16 2017, 11:41 PM
This comment was removed by Od1n.
Od1n removed a subscriber: Od1n.May 25 2017, 3:58 PM

Change 370484 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] mediawiki.UI: Use WikimediaUI color for @colorTextLight

https://gerrit.wikimedia.org/r/370484

Change 370503 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Deprecate greys not part of WikimediaUI color palette any more

https://gerrit.wikimedia.org/r/370503

Volker_E updated the task description. (Show Details)Aug 8 2017, 10:07 AM
Volker_E edited subscribers, added: kaldari, Jdlrobson; removed: JGirault.

Change 370484 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.ui: Use WikimediaUI color for @colorTextLight

https://gerrit.wikimedia.org/r/370484

Volker_E updated the task description. (Show Details)Aug 17 2017, 11:41 PM

Change 370503 merged by jenkins-bot:
[mediawiki/core@master] Deprecate greys not part of WikimediaUI color palette any more

https://gerrit.wikimedia.org/r/370503

Change 372907 had a related patch set uploaded (by Jforrester; owner: VolkerE):
[mediawiki/core@master] resources: Consolidate on the WikimediaUI “erroneous” color value

https://gerrit.wikimedia.org/r/372907

Change 372907 merged by jenkins-bot:
[mediawiki/core@master] resources: Consolidate on the WikimediaUI “erroneous” color value

https://gerrit.wikimedia.org/r/372907

Change 376877 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Replace outdated greys with WCAG conformant WikimediaUI palette ones

https://gerrit.wikimedia.org/r/376877

Change 376878 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] FancyCaptcha: Align to WikimediaUI Style Guide

https://gerrit.wikimedia.org/r/376878

Change 376877 merged by jenkins-bot:
[mediawiki/core@master] Replace outdated greys with WCAG conformant WikimediaUI palette ones

https://gerrit.wikimedia.org/r/376877

beforeafter

Change 376878 merged by jenkins-bot:
[mediawiki/core@master] FancyCaptcha: Align to WikimediaUI Style Guide

https://gerrit.wikimedia.org/r/376878

Change 377397 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Replace autocomment color with WCAG conformant WikimediaUI palette one

https://gerrit.wikimedia.org/r/377397

Change 331139 restored by VolkerE:
Another attempt to align diff colors with WikimediaUI color palette

Reason:
Let's change the undisputed values for now.

https://gerrit.wikimedia.org/r/331139

Volker_E triaged this task as High priority.Sep 12 2017, 5:16 AM

Change 377397 merged by jenkins-bot:
[mediawiki/core@master] Replace autocomment color with WCAG conformant WikimediaUI palette one

https://gerrit.wikimedia.org/r/377397

Volker_E updated the task description. (Show Details)Sep 13 2017, 12:04 AM

Change 379972 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] SpecialPages: Align subtle and disabled text color to WikimediaUI palette

https://gerrit.wikimedia.org/r/379972

Change 379972 merged by jenkins-bot:
[mediawiki/core@master] SpecialPages: Align subtle and disabled text color to WikimediaUI palette

https://gerrit.wikimedia.org/r/379972

Change 382992 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] JSONContent: Align to WikimediaUI color palette

https://gerrit.wikimedia.org/r/382992

Change 382992 merged by jenkins-bot:
[mediawiki/core@master] JSONContent: Align to WikimediaUI color palette

https://gerrit.wikimedia.org/r/382992

Volker_E updated the task description. (Show Details)Oct 8 2017, 12:09 AM
Volker_E updated the task description. (Show Details)Oct 8 2017, 12:28 AM

Change 383022 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Special:UserLogin: Align text to WikimediaUI color palette

https://gerrit.wikimedia.org/r/383022

Volker_E updated the task description. (Show Details)Oct 8 2017, 6:11 AM

Change 383022 merged by jenkins-bot:
[mediawiki/core@master] Special:UserLogin: Align text to WikimediaUI color palette

https://gerrit.wikimedia.org/r/383022

Volker_E updated the task description. (Show Details)Oct 9 2017, 10:15 PM

Change 331139 merged by jenkins-bot:
[mediawiki/core@master] Align diff context colors to WikimediaUI color palette

https://gerrit.wikimedia.org/r/331139

Change 384920 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] jquery.badge: Align with Echo notifications style and WikimediaUI palette

https://gerrit.wikimedia.org/r/384920

Volker_E updated the task description. (Show Details)Oct 18 2017, 5:14 AM

Change 384920 merged by jenkins-bot:
[mediawiki/core@master] jquery.badge: Align with Echo notifications style and WikimediaUI palette

https://gerrit.wikimedia.org/r/384920

Change 386254 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Optimize SVGs and align colors to WikimediaUI palette

https://gerrit.wikimedia.org/r/386254

Volker_E updated the task description. (Show Details)Oct 24 2017, 7:28 PM

Change 386254 merged by jenkins-bot:
[mediawiki/core@master] Optimize SVGs and align colors to WikimediaUI palette

https://gerrit.wikimedia.org/r/386254

kaldari removed a subscriber: kaldari.Nov 4 2017, 5:44 PM
Fomafix removed a subscriber: Fomafix.Nov 5 2017, 10:22 AM
Volker_E closed this task as Resolved.Dec 19 2017, 5:34 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)